Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface EJBPoolRuntimeMBean

public interface EJBPoolRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all free pool runtime information collected for an EJB.

Author:
  Copyright (c) 2001 by BEA Systems. All Rights Reserved.

Method Summary
`int` | `getBeansInUseCount()` Returns the total number of bean instances currently in use from the free pool.
`int` | `getIdleBeansCount()` Returns the total number of idle bean instances in the free pool.
`long` | `getTimeoutTotalCount()` Returns the total number of Threads that have timed out waiting for an available bean instance from the free pool.
`long` | `getWaiterTotalCount()` Returns the total number of Threads currently waiting for an available bean instance from the free pool.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getIdleBeansCount

    public int getIdleBeansCount()

  Returns the total number of idle bean instances in the free pool.

### getBeansInUseCount

    public int getBeansInUseCount()

  Returns the total number of bean instances currently in use from the free pool.

### getWaiterTotalCount

    public long getWaiterTotalCount()

  Returns the total number of Threads currently waiting for an available bean instance from the free pool.

### getTimeoutTotalCount

    public long getTimeoutTotalCount()

  Returns the total number of Threads that have timed out waiting for an available bean instance from the free pool.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference